<?php
//$_SERVER
//$_GET
//$_POST
//$_REQUEST
//$_SESSION
//New
if ($_POST['submit'] == 'Upload Asset'){
echo '<pre>';
//$_REQUEST //gets all post and get and sessions/cookes
//var_dump($_ENV); //gets all environmental variables not very useful
var_dump($_FILES);//gets all file data
move_uploaded_file($_FILES['randomfile']['tmp_name'],$_FILES['randomfile']['name']);
echo '</pre>';
}
?>
<form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data">
<input type="file" name="randomfile">
<input type="submit" name="submit" value="Upload Asset">
</form>